- Qt 6.7
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcBidirStream
- Qt 6.7.2 Reference Documentation

# QGrpcBidirStream Class

The QGrpcBidirStream class provides the interface to access the bidirectional gRPC stream functionality from gRPC client side. More...

Header: | #include <QGrpcBidirStream>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.7
Inherits: | QGrpcOperation
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcBidirStream() override
void | sendMessage(const T &message)

## Signals

void | messageReceived()

## Detailed Description

## Member Function Documentation

### `[override virtual noexcept]` QGrpcBidirStream::~QGrpcBidirStream()

Destroys the QGrpcBidirStream object.

### `[signal]` void QGrpcBidirStream::messageReceived()

The signal is emitted when the stream receives an updated value from server.

### template <typename T> void QGrpcBidirStream::sendMessage(const T &message)

Serializes message and sends it to the server.